/* (C) Marcin Kwadrans <quar@vitea.pl> */

/*! \file paritycommand.h 
	\brief Obsługa poleceń składających się z dwóch członów
*/

#ifndef __LW_PARITYCOMMAND_H
#define __LW_PARITYCOMMAND_H

#include "command.h"

/*! \class LWParityCommand
	\brief Obsługa poleceń składających się z dwóch członów
*/

class LWParityCommand: public LWCommand {
private:
gboolean matched;
protected:
LWParityCommand();
void match ();
public:
gboolean isParity ();
virtual void matchWith (LWCommand *cmd);
virtual gboolean isOpen () = 0;
gboolean isAlreadyMatched ();
virtual void reset1();
};

#endif
