/* (C) Marcin Kwadrans <quar@vitea.pl> */

/*! \file value.h
	\brief Zarządzanie wartościami
*/

#ifndef __LW_VALUE_H
#define __LW_VALUE_H

#include "pixmap.h"

/*! \class LWValue
	\brief Zarządzanie wartościami

	Klasa zarządzająca wartościami argumentów poleceń
*/

class LWValue {
private:
GSList *list_pixmap;
gboolean is_variable;
void clear ();
public:
LWValue ();
LWValue (LWPixmap *pixmap);
LWValue (gint ivalue);
virtual ~LWValue ();
void append (LWPixmap *pixmap);
void concat (LWValue *value);
int toInt ();
GSList *getListPixmap (void);
void set (LWValue *value);
virtual gboolean isVariable ();
};

#endif
