/* (C) Marcin Kwadrans <quar@vitea.pl> */

/*! \file variable.h
	\brief Zarządzanie zmiennymi
*/

#ifndef __LW_VARIABLE_H
#define __LW_VARIABLE_H

#include "pixmap.h"
#include "value.h"

/*! \class LWVariable
	\brief Zarządzanie zmiennymi

	Klasa zarządzająca zmiennymi używanymi jako argumenty poleceń
*/
class LWVariable: public LWValue {
private:
guint index;
public:
LWVariable (guint i);
gboolean isVariable ();
guint getNum ();
static gboolean isPixmapVariable (LWPixmap *pixmap);
static gint getPixmapNum (LWPixmap *pixmap);
};

#endif
