#include "include/support.h"
#include "include/paritycommand.h"

class LWCommandBegin: public LWParityCommand {

LWValue *execute1 (LWContext *context, guint argc, LWValue *args[])
{
	(void) context;
	(void) args;
	
	g_return_val_if_fail (argc == 0, NULL);
	
	return NULL;
}

gchar *getName ()
{
	return "begin";
}	

gchar *getHint ()
{
	return _("Open logical block");
}

gboolean isParity ()
{
	return TRUE;	
}

gboolean isOpen ()
{
	return TRUE;
}

void matchWith (LWCommand *cmd)
{
	if (g_strcasecmp (cmd->getName(), "end"))
		throw new LWMessage (LW_ERROR_UnmatchedBrace);
	
	match();
}

};

LWCommand *new_LWCommandBegin()
{
	return new LWCommandBegin();
}
