#include "include/support.h"
#include "include/command.h"

class LWCommandInfront: public LWCommand {

LWValue *execute1 (LWContext *context, guint argc, LWValue *args[])
{
	g_return_val_if_fail (argc == 0, NULL);

	context->wizard->enableInvertedGrounds (FALSE);
	
	return NULL;
}	

gchar *getName () 
{
	return "infront";
}	

gchar *getHint ()
{
	return _("Be in front");
}

};

LWCommand *new_LWCommandInfront()
{
	return new LWCommandInfront();
}
