#include "include/support.h"
#include "include/command.h"

class LWCommandRight: public LWCommand {

LWValue *execute1 (LWContext *context, guint argc, LWValue *args[])
{
	g_return_val_if_fail (argc == 0, NULL);

	context->wizard->turn (LW_TURN_RIGHT);
	
	return NULL;
}	

gchar *getName () 
{
	return "right";
}

gchar *getHint ()
{
	return _("Turn right");
}

void checkArgc (guint n)
{
	if (n != 0) 
		throw new LWMessage (LW_ERROR_WrongNumberOfArguments);
}

};

LWCommand *new_LWCommandRight()
{
	return new LWCommandRight();
}
