#include "include/support.h"
#include "include/command.h"

class LWCommandCreate: public LWCommand {


LWValue *execute1 (LWContext *context, guint argc, LWValue *args[])
{
	g_return_val_if_fail (argc == 1, FALSE);

	context->wizard->create (args[0]);
	
	return FALSE;
}	

gchar *getName (void) 
{
	return "create";
}	

gchar *getHint ()
{
	return _("Create");
}

void checkArgc (guint n)
{
	if (n != 1) 
		throw new LWMessage (LW_ERROR_WrongNumberOfArguments);
}

};

LWCommand *new_LWCommandCreate()
{
	return new LWCommandCreate();
}
