#include "include/support.h"
#include "include/command.h"

class LWCommandLeft: public LWCommand {

LWValue *execute1 (LWContext *context, guint argc, LWValue *args[])
{
	g_return_val_if_fail (argc == 0, NULL);

	context->wizard->turn (LW_TURN_LEFT);
	
	return NULL;
}	

gchar *getName (void) 
{
	return "left";
}	

gchar *getHint ()
{
	return _("Turn left");
}

void checkArgc (guint n)
{
	if (n != 0) 
		throw new LWMessage (LW_ERROR_WrongNumberOfArguments);
}

};

LWCommand *new_LWCommandLeft()
{
	return new LWCommandLeft();
}
