#include "include/support.h"
#include "include/command.h"

class LWCommandSetSpeed: public LWCommand {


LWValue *execute1 (LWContext *context, guint argc, LWValue *args[])
{
	g_return_val_if_fail (argc == 1, FALSE);

	context->wizard->setSpeed (args[0]->toInt());
	
	return FALSE;
}	

gchar *getName () 
{
	return "setspeed";
}	

gchar *getHint ()
{
	return _("Set speed");
}

void checkArgc (guint n)
{
	if (n != 1) 
		throw new LWMessage (LW_ERROR_WrongNumberOfArguments);
}

};

LWCommand *new_LWCommandSetSpeed()
{
	return new LWCommandSetSpeed();
}
